Skip to main content
DELETE
/
providers
/
{id}
JavaScript
import Courier from '@trycourier/courier';

const client = new Courier({
  apiKey: process.env['COURIER_API_KEY'], // This is the default and can be omitted
});

await client.providers.delete('id');
import os
from courier import Courier

client = Courier(
api_key=os.environ.get("COURIER_API_KEY"), # This is the default and can be omitted
)
client.providers.delete(
"id",
)
package main

import (
"context"

"github.com/trycourier/courier-go"
"github.com/trycourier/courier-go/option"
)

func main() {
client := courier.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Providers.Delete(context.TODO(), "id")
if err != nil {
panic(err.Error())
}
}
package com.courier.example;

import com.courier.client.CourierClient;
import com.courier.client.okhttp.CourierOkHttpClient;
import com.courier.models.providers.ProviderDeleteParams;

public final class Main {
private Main() {}

public static void main(String[] args) {
CourierClient client = CourierOkHttpClient.fromEnv();

client.providers().delete("id");
}
}
require "courier"

courier = Courier::Client.new(api_key: "My API Key")

result = courier.providers.delete("id")

puts(result)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Courier\Client;
use Courier\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('COURIER_API_KEY') ?: 'My API Key');

try {
$result = $client->providers->delete('id');

var_dump($result);
} catch (APIException $e) {
echo $e->getMessage();
}
using TryCourier;
using TryCourier.Models.Providers;

CourierClient client = new();

ProviderDeleteParams parameters = new() { ID = "id" };

await client.Providers.Delete(parameters);
courier providers delete \
--api-key 'My API Key' \
--id id
curl --request DELETE \
--url https://api.courier.com/providers/{id} \
--header 'Authorization: Bearer <token>'
{
  "message": "Example message text",
  "type": "invalid_request_error"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

A unique identifier of the provider configuration to delete.

Response

Provider successfully deleted.